> ## Documentation Index
> Fetch the complete documentation index at: https://velocity-api-docs.medshift.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update customer address



## OpenAPI

````yaml /openapi.json patch /v1/customers/{customer_pk}/addresses/{id}/
openapi: 3.0.3
info:
  title: Velocity for BigCommerce Zapier API
  version: 0.0.1
servers:
  - url: https://{tenant}.api.velocity.medshift.com/integrations/zapier
    variables:
      tenant:
        default: your-subdomain
        description: Your tenant's subdomain.
security: []
paths:
  /v1/customers/{customer_pk}/addresses/{id}/:
    patch:
      tags:
        - Customer Addresses
      summary: Update customer address
      operationId: v1_customers_addresses_partial_update
      parameters:
        - in: path
          name: customer_pk
          schema:
            type: string
            format: uuid
          required: true
        - in: path
          name: id
          schema:
            type: string
          required: true
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PatchedCustomerAddress'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomerAddress'
          description: ''
      security:
        - ZapierAuthentication: []
components:
  schemas:
    PatchedCustomerAddress:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        first_name:
          type: string
          minLength: 1
          maxLength: 255
        last_name:
          type: string
          minLength: 1
          maxLength: 255
        company:
          type: string
          default: ''
          maxLength: 255
        phone:
          type: string
          default: ''
          maxLength: 50
        street_1:
          type: string
          minLength: 1
          maxLength: 100
        street_2:
          type: string
          default: ''
          maxLength: 100
        city:
          type: string
          minLength: 1
          maxLength: 100
        state_province:
          type: string
          default: ''
          description: >-
            The full state/province name ("North Carolina"). Required for some
            countries.
          maxLength: 255
        postal_code:
          type: string
          default: ''
          description: Postal/ZIP code. Required for some countries.
          maxLength: 30
        country_iso2:
          type: string
          minLength: 2
          description: ISO 3166-1 alpha-2 country code ("US").
          maxLength: 2
        is_default_shipping:
          type: boolean
          default: false
        is_default_billing:
          type: boolean
          default: false
    CustomerAddress:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        first_name:
          type: string
          minLength: 1
          maxLength: 255
        last_name:
          type: string
          minLength: 1
          maxLength: 255
        company:
          type: string
          default: ''
          maxLength: 255
        phone:
          type: string
          default: ''
          maxLength: 50
        street_1:
          type: string
          minLength: 1
          maxLength: 100
        street_2:
          type: string
          default: ''
          maxLength: 100
        city:
          type: string
          minLength: 1
          maxLength: 100
        state_province:
          type: string
          default: ''
          description: >-
            The full state/province name ("North Carolina"). Required for some
            countries.
          maxLength: 255
        postal_code:
          type: string
          default: ''
          description: Postal/ZIP code. Required for some countries.
          maxLength: 30
        country_iso2:
          type: string
          minLength: 2
          description: ISO 3166-1 alpha-2 country code ("US").
          maxLength: 2
        is_default_shipping:
          type: boolean
          default: false
        is_default_billing:
          type: boolean
          default: false
      required:
        - city
        - country_iso2
        - first_name
        - id
        - last_name
        - street_1
  securitySchemes:
    ZapierAuthentication:
      type: apiKey
      in: header
      name: X-API-Key

````